package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 形象进度对象 sur_project_schedule
 * 
 * @author Jiangdu
 * @date 2023-07-29
 */
public class SurProjectSchedule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /** 项目主键 */
    @Excel(name = "项目名称")
    private String projectName;


    /** 形象图片 */
    @Excel(name = "形象图片")
    private String image;

    /** 计划节点 */
    @Excel(name = "计划节点")
    private String plannedNode;

    /** 实际节点 */
    @Excel(name = "实际节点")
    private String actualNode;

    /** 融资、招采进展 */
    @Excel(name = "融资、招采进展")
    private String purchaseProgress;

    /** 报建、设计进展 */
    @Excel(name = "报建、设计进展")
    private String designProgress;

    /** 施工进展 */
    @Excel(name = "施工进展")
    private String constructionProgress;

    /** 验收进展 */
    @Excel(name = "验收进展")
    private String acceptanceProgress;

    /** 下周计划 */
    @Excel(name = "下周计划")
    private String planForNextWeek;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String existingProblem;

    /** 问题推进情况 */
    @Excel(name = "问题推进情况")
    private String problemProgress;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    private SurProject surProject;

    public SurProject getSurProject() {
        return surProject;
    }

    public void setSurProject(SurProject surProject) {
        this.surProject = surProject;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setPlannedNode(String plannedNode) 
    {
        this.plannedNode = plannedNode;
    }

    public String getPlannedNode() 
    {
        return plannedNode;
    }
    public void setActualNode(String actualNode) 
    {
        this.actualNode = actualNode;
    }

    public String getActualNode() 
    {
        return actualNode;
    }
    public void setPurchaseProgress(String purchaseProgress) 
    {
        this.purchaseProgress = purchaseProgress;
    }

    public String getPurchaseProgress() 
    {
        return purchaseProgress;
    }
    public void setDesignProgress(String designProgress) 
    {
        this.designProgress = designProgress;
    }

    public String getDesignProgress() 
    {
        return designProgress;
    }
    public void setConstructionProgress(String constructionProgress) 
    {
        this.constructionProgress = constructionProgress;
    }

    public String getConstructionProgress() 
    {
        return constructionProgress;
    }
    public void setAcceptanceProgress(String acceptanceProgress) 
    {
        this.acceptanceProgress = acceptanceProgress;
    }

    public String getAcceptanceProgress() 
    {
        return acceptanceProgress;
    }
    public void setPlanForNextWeek(String planForNextWeek) 
    {
        this.planForNextWeek = planForNextWeek;
    }

    public String getPlanForNextWeek() 
    {
        return planForNextWeek;
    }
    public void setExistingProblem(String existingProblem) 
    {
        this.existingProblem = existingProblem;
    }

    public String getExistingProblem() 
    {
        return existingProblem;
    }
    public void setProblemProgress(String problemProgress) 
    {
        this.problemProgress = problemProgress;
    }

    public String getProblemProgress() 
    {
        return problemProgress;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("image", getImage())
            .append("plannedNode", getPlannedNode())
            .append("actualNode", getActualNode())
            .append("purchaseProgress", getPurchaseProgress())
            .append("designProgress", getDesignProgress())
            .append("constructionProgress", getConstructionProgress())
            .append("acceptanceProgress", getAcceptanceProgress())
            .append("planForNextWeek", getPlanForNextWeek())
            .append("existingProblem", getExistingProblem())
            .append("problemProgress", getProblemProgress())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
